/************************************************************************

 The contents of this file are subject to the Mozilla Public License
 Version 1.1 (the "License"); you may not use this file except in	
 compliance with the License. You may obtain a copy of the License at
 http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS IS"
 basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 License for the specific language governing rights and limitations
 under the License.

 The Original Code is Isearch.

 The Initial Developer of the Original Code is Clearinghouse for
 Networked Information Discovery and Retrieval.

 Portions created by Netscape Communications are Copyright (C) 2001. 
 All Rights Reserved.

 Portions created by the Clearinghouse for Networked Information
 Discovery and Retrieval are Copyright (C) 1994. All Rights Reserved.

************************************************************************/

/*
 * Define top level category constants.
 */
#ifndef CATID_H
#define CATID_H

#define   TOP_CAT_MASK       (0xFFFF)
#define   TOP_CAT_None       (0x0000)

/* Open Directory Category names */
#define   TOP_CAT_Adult      (0x0001)
#define   TOP_CAT_Arts       (0x0002)
#define   TOP_CAT_Business   (0x0003)
#define   TOP_CAT_Computers  (0x0004)
#define   TOP_CAT_Games      (0x0005)
#define   TOP_CAT_Health     (0x0006)
#define   TOP_CAT_Home       (0x0007)
#define   TOP_CAT_News       (0x0008)
#define   TOP_CAT_Recreation (0x0009)
#define   TOP_CAT_Reference  (0x000A)
#define   TOP_CAT_Regional   (0x000B)
#define   TOP_CAT_Science    (0x000C)
#define   TOP_CAT_Shopping   (0x000D)
#define   TOP_CAT_Society    (0x000E)
#define   TOP_CAT_Sports     (0x000F)
#define   TOP_CAT_World      (0x0010)
#define   TOP_CAT_Netscape   (0x0011)
#define   TOP_CAT_Bookmarks  (0x0012)
#define   TOP_CAT_Kids       (0x0013)
#define   TOP_CAT_Restaurant (0x0014)
#define   TOP_CAT_Other      (0x0015)
#define   TOP_CAT_Test       (0x0016)
#define   TOP_CAT_Private    (0x0017)


/* Music Category names */
#define   TOP_CAT_Blues              (0x0001)
#define   TOP_CAT_Cajun              (0x0002)
#define   TOP_CAT_Comedy_Spoken      (0x0003)
#define   TOP_CAT_Country            (0x0004)
#define   TOP_CAT_Easy_Listening     (0x0005)
#define   TOP_CAT_Electronic         (0x0006)
#define   TOP_CAT_Folk               (0x0007)
#define   TOP_CAT_General            (0x0008)
#define   TOP_CAT_Gospel             (0x0009)
#define   TOP_CAT_Hardcore_Punk      (0x000A)
#define   TOP_CAT_Heavy_Metal        (0x000B)
#define   TOP_CAT_Instrumental       (0x000C)
#define   TOP_CAT_International      (0x000D)
#define   TOP_CAT_Jazz               (0x000E)
#define   TOP_CAT_Jazz_Vocal         (0x000F)
#define   TOP_CAT_New_Age            (0x0010)
#define   TOP_CAT_Oldies             (0x0011)
#define   TOP_CAT_RandB_Soul         (0x0012)
#define   TOP_CAT_Reggae             (0x0013)
#define   TOP_CAT_Shows_Movies       (0x0014)
#define   TOP_CAT_Sound_Effects      (0x0015)
#define   TOP_CAT_22                 (0x0016)
#define   TOP_CAT_23                 (0x0017)

/* Define Language Types */
#define   LANGUAGE_MASK       (0xFF)

#define   LANGUAGE_English    (0x00)
#define   LANGUAGE_Japanese   (0x01)
#define   LANGUAGE_German     (0x02)
#define   LANGUAGE_Spanish    (0x03)
#define   LANGUAGE_French     (0x04)

/* Masks for misc. record data fields */
#define   FIELD_FLAG_MASK     (0xF0)
#define   DELETED_FLAG_MASK   (0x10)
#define   COOL_FLAG_MASK      (0x20)
#define   COMMERCE_FLAG_MASK  (0x40)
#define   FREE_FLAG_MASK      (0x80)

#endif
