/************************************************************************

 The contents of this file are subject to the Mozilla Public License
 Version 1.1 (the "License"); you may not use this file except in	
 compliance with the License. You may obtain a copy of the License at
 http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS IS"
 basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 License for the specific language governing rights and limitations
 under the License.

 The Original Code is Isearch.

 The Initial Developer of the Original Code is Clearinghouse for
 Networked Information Discovery and Retrieval.

 Portions created by Netscape Communications are Copyright (C) 2001. 
 All Rights Reserved.

 Portions created by the Clearinghouse for Networked Information
 Discovery and Retrieval are Copyright (C) 1994. All Rights Reserved.

************************************************************************/

/* dtreg.h - Document Type registry */

/* WARNING - this file is automaticly generated by ../doctypes/dtconf.c */

#include "../doctype/doctype.h"

#include <stdlib.h>
#include "defs.h"
#include "string.h"
#include "mdtrec.h"
#include "mdt.h"
#include "idbobj.h"
#include "iresult.h"
#include "irset.h"
#include "dtreg.h"

DTREG::DTREG(PIDBOBJ DbParent) {
	Db = DbParent;
	DtDocType = new DOCTYPE(Db);
	DtSIMPLE = 0;
	DtCOLONDOC = 0;
	DtKEYWORD = 0;
	DtSITEDOC = 0;
}

PDOCTYPE DTREG::GetDocTypePtr(unsigned char DocType) {
	if (DocType == 0) {
		return DtDocType;
	}
	if (DocType == DOC_TYPE_SIMPLE) {
		if (!DtSIMPLE) {
			DtSIMPLE = new SIMPLE(Db);
		}
		return DtSIMPLE;
	}
	if (DocType == DOC_TYPE_COLONDOC) {
		if (!DtCOLONDOC) {
			DtCOLONDOC = new COLONDOC(Db);
		}
		return DtCOLONDOC;
	}
	if (DocType == DOC_TYPE_KEYWORD) {
		if (!DtKEYWORD) {
			DtKEYWORD = new KEYWORD(Db);
		}
		return DtKEYWORD;
	}
	if (DocType == DOC_TYPE_SITEDOC) {
		if (!DtSITEDOC) {
			DtSITEDOC = new SITEDOC(Db);
		}
		return DtSITEDOC;
	}
	return DtDocType;
}

unsigned char DTREG::GetDocTypeFromString(STRING DocType) {
	if (DocType == "SIMPLE") {
		return DOC_TYPE_SIMPLE;
	}
	if (DocType == "COLONDOC") {
		return DOC_TYPE_COLONDOC;
	}
	if (DocType == "KEYWORD") {
		return DOC_TYPE_KEYWORD;
	}
	if (DocType == "SITEDOC") {
		return DOC_TYPE_SITEDOC;
	}
	return DOC_TYPE_INVALID;
}

char * DTREG::GetStringFromDocType(unsigned char dt) {
	if (dt == DOC_TYPE_SIMPLE) {
		return "SIMPLE";
	}
	if (dt == DOC_TYPE_COLONDOC) {
		return "COLONDOC";
	}
	if (dt == DOC_TYPE_KEYWORD) {
		return "KEYWORD";
	}
	if (dt == DOC_TYPE_SITEDOC) {
		return "SITEDOC";
	}
	return "INVALID";
}

char * DTREG::GetDocTypeList() const {
	return("SIMPLE COLONDOC KEYWORD SITEDOC");
}

DTREG::~DTREG() {
	delete DtDocType;
	if (DtSIMPLE) {
		delete DtSIMPLE;
	}
	if (DtCOLONDOC) {
		delete DtCOLONDOC;
	}
	if (DtKEYWORD) {
		delete DtKEYWORD;
	}
	if (DtSITEDOC) {
		delete DtSITEDOC;
	}
}
