/************************************************************************

 The contents of this file are subject to the Mozilla Public License
 Version 1.1 (the "License"); you may not use this file except in	
 compliance with the License. You may obtain a copy of the License at
 http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS IS"
 basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 License for the specific language governing rights and limitations
 under the License.

 The Original Code is Isearch.

 The Initial Developer of the Original Code is Clearinghouse for
 Networked Information Discovery and Retrieval.

 Portions created by Netscape Communications are Copyright (C) 2001. 
 All Rights Reserved.

 Portions created by the Clearinghouse for Networked Information
 Discovery and Retrieval are Copyright (C) 1994. All Rights Reserved.

************************************************************************/

/* Class IRESULT - Internal Search Result */

#ifndef IRESULT_H
#define IRESULT_H

#include <math.h>
#include "string.h"

class IRESULT {
public:
	IRESULT();
	IRESULT& operator=(const IRESULT& OtherIresult);
	void SetMdtIndex(const int NewMdtIndex);
	int GetMdtIndex() const;
	void SetHitCount(const int NewHitCount);
	void IncHitCount();
	void IncHitCount(const int AddCount);
        void IncRealHitCount(const int RealCount);
	int GetHitCount() const;
	void SetScore(const double NewScore);
	void IncScore(const double AddScore);
	void AndIncScore(const double AddScore);
	void OrIncScore(const double AddScore);
	double GetScore() const;

        void IRESULT::SetDocumentType(unsigned char NewDocumentType);
        unsigned char IRESULT::GetDocumentType() const;
        void IRESULT::GetPathName(PSTRING StringBuffer) const;
        void IRESULT::GetFileName(PSTRING StringBuffer) const;
        void IRESULT::GetFullFileName(PSTRING StringBuffer) const;

  	unsigned char IsCool() const;
  	unsigned char IsDeleted() const;
  	unsigned char IsCommerce() const;
  	unsigned char GetMiscField() const;
  	unsigned char GetField() const;
  	unsigned char GetCatDepth() const;

	~IRESULT();

	int MdtIndex;
        int HitCount;         // count of total term hits
        int RealHitCount;     // count of different terms marched
  
        unsigned int  TopLevelCat;
        unsigned char DocumentType;
        unsigned char MiscFields;
        unsigned char CatDepth;
        unsigned char Field;

        int pathName;
        int fileName;
        GPTYPE GlobalFileStart;
        GPTYPE GlobalFileEnd;
	double Score;
};

typedef IRESULT* PIRESULT;

#endif
